from pydantic import ConstrainedInt


class PortNumber(ConstrainedInt):
    """Constrained integer for valid port numbers.

    The range from 49152 to 65535 is marked as ephemeral, and can therefore not be selected for permanent allocation.
    """

    gt = 0
    le = 49151
